Package anbxj

# Enum Class AnBx_ChannelType

java.lang.Object
java.lang.Enum<AnBx_ChannelType>
anbxj.AnBx_ChannelType

All Implemented Interfaces:
  `Serializable`, `Comparable<AnBx_ChannelType>`, `Constable`

public enum AnBx_ChannelType extends Enum<AnBx_ChannelType>
An enumerator for AnBx channel types.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTH`
  Authentication channel type in AnBx.
  `AUTH_MUTUAL`
  Mutual authentication channel type in AnBx.
  `AUTH_SECRET`
  Authentication with secret channel type in AnBx.
  `FRESH_AUTH`
  Fresh authentication channel type in AnBx.
  `FRESH_AUTH_SECRET`
  Fresh authentication with secret channel type in AnBx.
  `PLAIN`
  Plain channel type in AnBx.
  `SECRET`
  Secret channel type in AnBx.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AnBx_ChannelType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AnBx_ChannelType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PLAIN

    public static final AnBx_ChannelType PLAIN
    Plain channel type in AnBx.

  - ### AUTH

    public static final AnBx_ChannelType AUTH
    Authentication channel type in AnBx.

  - ### FRESH_AUTH

    public static final AnBx_ChannelType FRESH_AUTH
    Fresh authentication channel type in AnBx.

  - ### AUTH_MUTUAL

    public static final AnBx_ChannelType AUTH_MUTUAL
    Mutual authentication channel type in AnBx.

  - ### SECRET

    public static final AnBx_ChannelType SECRET
    Secret channel type in AnBx.

  - ### AUTH_SECRET

    public static final AnBx_ChannelType AUTH_SECRET
    Authentication with secret channel type in AnBx.

  - ### FRESH_AUTH_SECRET

    public static final AnBx_ChannelType FRESH_AUTH_SECRET
    Fresh authentication with secret channel type in AnBx.

- ## Method Details

  - ### values

    public static AnBx_ChannelType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AnBx_ChannelType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null